Subject: [Fot] Triumph Renown Manual

From: Kenneth Knight via Fot <[email-masked]>
Date: Wed, 25 Sep 2024 11:16:53 -0700

Last week at the VARA races at Buttonwillow a guy found me with some 
goodies.  He was cleaning out some of his stuff and gave me an original 
"Instruction Book, Triumph Renown, 2 Litre Saloon, 1950".  It is used 
but in pretty decent shape and it needs a home with someone who owns 
this car.  I will be happy to post it to a person who can use for the 
cost of postage.

If someone can use this contact me.  Ken

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]